Main Page Widgets Namespaces Book

# Glib::ValueBase_Enum Class Reference
[Generic Values]

Inheritance diagram for Glib::ValueBase_Enum:

[legend]
List of all members.

## Public Types
typedef gint | CType
## Static Public Member Functions
GType | value_type () G_GNUC_CONST
## Protected Member Functions
void | set_enum (int data)
int | get_enum () const

## Member Typedef Documentation

typedef gint Glib::ValueBase_Enum::CType

## Member Function Documentation

int Glib::ValueBase_Enum::get_enum | ( |  | ) | const`[protected]`

void Glib::ValueBase_Enum::set_enum | ( | int | data | ) | `[protected]`

GType Glib::ValueBase_Enum::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- glib/glibmm/value.h